Bug 253372 - gd-devel missing other -devel package requirements
gd-devel missing other -devel package requirements
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gd (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Honza Horak
Depends On:
  Show dependency treegraph
Reported: 2007-08-18 09:01 EDT by Dan Horák
Modified: 2011-02-18 06:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-18 06:22:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2007-08-18 09:01:51 EDT
There are problems in RHEL-4 when compiling/linking programs (eg. Nagios from
EPEL-4) that are using gd-devel. BuildRequires: gd-devel doesn't expand into BR:
libpng-devel, ... (they are used when the gd library is build). It the same
problem as on some older Fedora, for the original information, please see bug#

version: gd-devel-2.0.28-5.4E
Comment 1 Jiri Moskovcak 2008-01-21 08:55:02 EST
Hi, that's weird, because I just checkout the RHEL4 version of gdlib and 
BuildRequires in spec file are: freetype-devel, libjpeg-devel, libpng-devel, 
zlib-devel, so the problem is probably not in the gd package but in the package 
you're trying to compile. Can you be more specific what are you trying to do?

Comment 2 Dan Horák 2008-01-21 12:26:45 EST
If I remember it correctly, the gd-devel package needs to have libpng-devel,
freetype-devel as Requires. Now when building a package with BR: gd-devel, you
need to manually specify freetype-devel, libpng-devel, ... as BR. But the user
doesn't know exactly what libraries is gd build with.
Please see gd-devel from RHEL5, it should have it specified correctly.
Comment 3 Ondrej Vasik 2011-02-18 06:22:12 EST
As RHEL-4.9 is last update for RHEL-4 and it is not suitable for new features
and should address only security, performance and critical issues, I'm closing
that bugzilla WONTFIX. It is fixed in RHEL-5.

Note You need to log in before you can comment on or make changes to this bug.